普通变色滤镜

class

  ColorFilter

since

  1.0.0

### Hierarchy

- ColorFilter

## Index

### Constructors

- constructor

### Properties

- alphaMultiplier
- alphaOffset
- blueMultiplier
- blueOffset
- greenMultiplier
- greenOffset
- redMultiplier
- redOffset
- type

### Methods

- destroy
- drawFilter
- toString

## Constructors

### constructor

- new ColorFilter(colorArrays: number[]): ColorFilter

- - Defined in filter/Filters.ts:176
  method

    ColorFilter

  #### Parameters

  - ##### colorArrays: number[]

    颜色值数据

  #### Returns ColorFilter

## Properties

### alphaMultiplier

alphaMultiplier: number = 0

- Defined in filter/Filters.ts:160

property

  alphaMultiplier

readonly
since

  1.0.0

type

  {number}

### alphaOffset

alphaOffset: number = 0

- Defined in filter/Filters.ts:168

property

  alphaOffset

readonly
since

  1.0.0

type

  {number}

### blueMultiplier

blueMultiplier: number = 0

- Defined in filter/Filters.ts:144

property

  blueMultiplier

readonly
since

  1.0.0

type

  {number}

### blueOffset

blueOffset: number = 0

- Defined in filter/Filters.ts:152

property

  blueOffset

readonly
since

  1.0.0

type

  {number}

### greenMultiplier

greenMultiplier: number = 0

- Defined in filter/Filters.ts:128

property

  greenMultiplier

readonly
since

  1.0.0

type

  {number}

### greenOffset

greenOffset: number = 0

- Defined in filter/Filters.ts:136

property

  greenOffset

readonly
since

  1.0.0

type

  {number}

### redMultiplier

redMultiplier: number = 0

- Defined in filter/Filters.ts:112

property

  redMultiplier

since

  1.0.0

readonly
type

  {number}

### redOffset

redOffset: number = 0

- Defined in filter/Filters.ts:120

property

  redOffset

readonly
since

  1.0.0

type

  {number}

### type

type: string = "Color"

- Defined in filter/Filters.ts:176

property

  type

readonly
since

  1.0.0

type

  {string}

## Methods

### destroy

- destroy(): void

- - Defined in filter/Filters.ts:224

  #### Returns void

### drawFilter

- drawFilter(imageData?: ImageData): void

- - Defined in filter/Filters.ts:199

  绘画滤镜效果

  method

    drawFilter

  since

    1.0.0

  #### Parameters

  - ##### Default value imageData: ImageData = null

  #### Returns void

### toString

- toString(): string

- - Defined in filter/Filters.ts:219

  获取滤镜的字符串表现形式以方便比较两个滤镜是否效果一样

  method

    toString

  since

    1.0.0

  #### Returns string

Generated using TypeDoc